cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/insertAttachment \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"attachments":[{"id":"string","name":"string","path":"string","token":"string","size":0,"mimetype":"string","presignedUrl":"string","width":0,"height":0,"smThumbnailUrl":"string","lgThumbnailUrl":"string"}],"anchorId":"string"}'{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}record
Insert attachments at anchor
Insert attachments after the anchor in the cell (append to end if anchor not found or not provided)
POST
/
table
/
{tableId}
/
record
/
{recordId}
/
{fieldId}
/
insertAttachment
cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/insertAttachment \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"attachments":[{"id":"string","name":"string","path":"string","token":"string","size":0,"mimetype":"string","presignedUrl":"string","width":0,"height":0,"smThumbnailUrl":"string","lgThumbnailUrl":"string"}],"anchorId":"string"}'{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Attachments to insert and optional anchor position
响应
201 - application/json
Returns record data after update.
The record id.
Objects with a fields key mapping fieldId or field name to value for that field.
Show child attributes
Show child attributes
primary field value
Auto number, a unique identifier for each record
Created time, date ISO string (new Date().toISOString).
Last modified time, date ISO string (new Date().toISOString).
Created by, user name
Last modified by, user name
Permissions for the record
Show child attributes
Show child attributes
Whether the record is undeletable
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

